BOB: Business Objects Board
Not endorsed by or affiliated with SAP

Register | Login 

Launch Works 
Launch Works (Opens a new window)  

General Notice: No events within the next 45 days.

BO XI 3.1 with SP5 and FP5.3 and Java 7 issue


 
Search this topic... | Search XI Server Discussion... | Search Box
Register or Login to Post    Forum Index -> Server Administration, Installation, Upgrades -> XI Server Discussion  Previous TopicPrint TopicNext Topic
Author Message
Victor_BCN
Principal Member
Principal Member



Joined: 15 Sep 2009

Posts: 150


flag
PostPosted: Fri Feb 01, 2013 6:48 am 
Post subject: BO XI 3.1 with SP5 and FP5.3 and Java 7 issue

Hello guys!

As you know, in BO XI 3.1 u cannot use Java7 cos it has some fails.

Therefore, SAP tells us to install SP5 and FP5.3 to solve the problem.

I installed it in the server, and from my PC (with Java7) I make an Infoview Webi report.

But the problem is still there!

Did you have this Java7 issue fixed with this SP and Fix Pack?

Thanks!

nopity.gif
Back to top
Victor_BCN
Principal Member
Principal Member



Joined: 15 Sep 2009

Posts: 150


flag
PostPosted: Fri Feb 01, 2013 7:01 am 
Post subject: Re: BO XI 3.1 with SP5 and FP5.3 and Java 7 issue

Something to add

When I installed the SP and the FP I didnt redeploy the Tomcat.

Currently it's running the Apache Tomact 5.5.20

is there any incompatibility between SP5+FP5.3+Java 7?

Thanksssssss nopity.gif
Back to top
Unmesh702
Principal Member
Principal Member



Joined: 19 Feb 2009
ASUG Icon
Posts: 212
Location: PUNE


flag
PostPosted: Fri Feb 01, 2013 7:39 am 
Post subject: Re: BO XI 3.1 with SP5 and FP5.3 and Java 7 issue

You need to redeploy the war files on tomcat with latest version.
The AnalyticalReporting war files is used for viewing/creating webi reports and to use JAVA7 you need to update tomcat with latest one

~Unmesh
Back to top
Victor_BCN
Principal Member
Principal Member



Joined: 15 Sep 2009

Posts: 150


flag
PostPosted: Fri Feb 01, 2013 7:48 am 
Post subject: Re: BO XI 3.1 with SP5 and FP5.3 and Java 7 issue

hello, thanks for your answer!

yeah...that's the feeling I had

I'm going to re-install the FP5.3 and when it asks me "Do you want to redeploy the tomcat" I will say YES

Thank you very much!
Regards
Victor
Back to top
Victor_BCN
Principal Member
Principal Member



Joined: 15 Sep 2009

Posts: 150


flag
PostPosted: Fri Feb 01, 2013 9:34 am 
Post subject: Re: BO XI 3.1 with SP5 and FP5.3 and Java 7 issue

Shit...after deploying this Tomcat files, I restart Server, but now I cannot choose "Authentication" when use Infoview icon_sad.gif

After this deploy, shall I edit any Tomcat file?

Thanks!
Back to top
Unmesh702
Principal Member
Principal Member



Joined: 19 Feb 2009
ASUG Icon
Posts: 212
Location: PUNE


flag
PostPosted: Fri Feb 01, 2013 9:51 am 
Post subject: Re: BO XI 3.1 with SP5 and FP5.3 and Java 7 issue

Yes.. You need to edit the web.xml file of InfoViewApp add the "True" in the following location given below:

!-- Choose whether to let the user change the authentication type -->
<!-- If it isn't shown the default authentication type from above will be used -->
<context-param>
<param-name>authentication.visible</param-name>
<param-value>true</param-value>
</context-param>

After saving the web.xml restart tomcat.

~Unmesh
Back to top
Victor_BCN
Principal Member
Principal Member



Joined: 15 Sep 2009

Posts: 150


flag
PostPosted: Tue Feb 05, 2013 4:30 am 
Post subject: Re: BO XI 3.1 with SP5 and FP5.3 and Java 7 issue

Amazing...

what you said it was perfect, everything works now! icon_wink.gif

Thanks, thanks, thanks a loooot!! icon_razz.gif
Back to top
Unmesh702
Principal Member
Principal Member



Joined: 19 Feb 2009
ASUG Icon
Posts: 212
Location: PUNE


flag
PostPosted: Tue Feb 05, 2013 9:07 am 
Post subject: Re: BO XI 3.1 with SP5 and FP5.3 and Java 7 issue

Web.xml is a very important file and it can show magic and can sometime mess up the application. So we need to modify it wisely icon_smile.gif

Cheers,
Unmesh
Back to top
Victor_BCN
Principal Member
Principal Member



Joined: 15 Sep 2009

Posts: 150


flag
PostPosted: Wed Feb 06, 2013 9:22 am 
Post subject: Re: BO XI 3.1 with SP5 and FP5.3 and Java 7 issue

yes, I see...

I have a doubt icon_razz.gif

Before redeploying the tomcat files, when I was accessing Infoview I needn't login.

I just clicked on the Favourites link and it was opening automatic. It took my Windows AD credentials and send them to the server to login.

But now, I have to login yes or yes

which is the parameter that allows the automatic login?

Thank you!
Regards
Back to top
jooken
Principal Member
Principal Member



Joined: 20 Feb 2009

Posts: 109
Location: Vienna


flag
PostPosted: Wed Feb 20, 2013 8:47 am 
Post subject: Re: BO XI 3.1 with SP5 and FP5.3 and Java 7 issue

Try this:

<context-param>
<param-name>authentication.default</param-name>
<param-value>secWinAD</param-value>
</context-param>
Back to top
Display posts from previous:   
Register or Login to Post    Forum Index -> Server Administration, Installation, Upgrades -> XI Server Discussion  Previous TopicPrint TopicNext Topic
Page 1 of 1 All times are GMT - 5 Hours
 
Jump to:  

Index | About | FAQ | RAG | Privacy | Search |  Register |  Login 

Get community updates via Twitter:

Not endorsed by or affiliated with SAP
Powered by phpBB © phpBB Group
Generated in 0.0451 seconds using 17 queries. (SQL 0.0028 Parse 0.0340 Other 0.0084)
CCBot/2.0 (http://commoncrawl.org/faq/)
Hosted by ForumTopics.com | Terms of Service
phpBB Customizations by the phpBBDoctor.com
Shameless plug for MomentsOfLight.com Moments of Light Logo